PABR_Insert("SYMBIOSIS", {
	-- Druid

	[110700] = { -- Divine Shield
		class = "DRUID",
		detect = "cast",
		effect = 110700,
		cooldown = 300,
		tags = {"important", "defense"},
	},

	[110707] = { -- Mass Dispel
		class = "DRUID",
		detect = "cast",
		cooldown = 60,
		tags = {"dispel"},
	},
	
	[110715] = { -- Dispersion
		class = "DRUID",
		detect = "cast",
		effect = 110715,
		cooldown = 180,
		tags = {"important", "defense"},
	},

	[110718] = { -- Leap of Faith
		class = "DRUID",
		detect = "cast",
		cooldown = 90,
		tags = {"utility"},
	},

	[110788] = { -- Cloak of Shadows
		class = "DRUID",
		detect = "cast",
		effect = 110788,
		cooldown = 120,
		tags = {"important", "defense"},
	},

	[110791] = { -- Evasion
		class = "DRUID",
		detect = "cast",
		effect = 110791,
		cooldown = 180,
		tags = {"defense"},
	},

	[110807] = { -- Feral Spirit
		class = "DRUID",
		detect = "cast",
		cooldown = 120,
		tags = {"attack"},
	},

	[110806] = { -- Spiritwalker's Grace
		class = "DRUID",
		detect = "cast",
		effect = 110806,
		cooldown = 120,
		tags = {"utility"},
	},
	
	[122291] = { -- Unending Resolve
		class = "DRUID",
		detect = "cast",
		effect = 122291,
		cooldown = 180,
		tags = {"important", "defense"},
	},
	
	[112970] = { -- Demonic Circle: Teleport
		class = "DRUID",
		detect = "cast",
		cooldown = 30,
		tags = {"utility"},
	},
	
	[122292] = { -- Intervene
		class = "DRUID",
		detect = "cast",
		effect = 122292,
		cooldown = 30,
		tags = {"utility"},
	},
	
	[113002] = { -- Spell Reflection
		class = "DRUID",
		detect = "cast",
		effect = 113002,
		cooldown = 120,
		tags = {"defense"},
	},

	[112997] = { -- Shattering Blow
		class = "DRUID",
		detect = "cast",
		effect = 112997,
		cooldown = 300,
		tags = {"attack"},
	},
	
	[113004] = { -- Intimidating Roar
		class = "DRUID",
		detect = "cast",
		effect = 113004,
		cooldown = 90,
		tags = {"important", "control"},
	},

	[110570] = { -- Anti-Magic Shell
		class = "DRUID",
		detect = "cast",
		effect = 110570,
		cooldown = 45,
		tags = {"defense"},
	},

	[110575] = { -- Icebound Fortitude
		class = "DRUID",
		detect = "cast",
		effect = 110575,
		cooldown = 180,
		tags = {"important", "defense"},
	},

	[110617] = { -- Deterrence
		class = "DRUID",
		detect = "cast",
		effect = 110617,
		cooldown = 120,
		tags = {"important", "defense"},
	},

	[110693] = { -- Frost Nova
		class = "DRUID",
		detect = "cast",
		effect = 110693,
		cooldown = 25,
		tags = {"control"},
	},

	[110696] = { -- Ice Block
		class = "DRUID",
		detect = "cast",
		effect = 110696,
		cooldown = 300,
		tags = {"important", "defense"},
	},

	[126458] = { -- Grapple Weapon
		class = "DRUID",
		detect = "cast",
		effect = 126458,
		cooldown = 60,
		tags = {"disable"},
	},

	[126449] = { -- Clash
		class = "DRUID",
		detect = "cast",
		effect = 126451, -- TODO: check
		cooldown = 35,
		tags = {"stun"},
	},
	
	[126456] = { -- Fortifying Brew
		class = "DRUID",
		detect = "cast",
		effect = 126456,
		cooldown = 180,
		tags = {"important", "defense"},
	},

	[110698] = { -- Hammer of Justice
		class = "DRUID",
		detect = "cast",
		effect = 110698,
		cooldown = 60,
		tags = {"important", "stun"},
	},
	
	-- Others

	[113072] = { -- Might of Ursoc
		class = "DEATHKNIGHT",
		detect = "cast",
		effect = 113072,
		cooldown = 180,
		tags = {"defense"},
	},

	[113073] = { -- Dash
		class = "HUNTER",
		detect = "cast",
		effect = 113073,
		cooldown = 180,
		tags = {"utility"},
	},

	[127361] = { -- Bear Hug
		class = "MONK",
		detect = "cast",
		effect = 127361,
		cooldown = 60,
		tags = {"stun"},
	},
	
	[113306] = { -- Survival Instincts
		class = "MONK",
		detect = "cast",
		effect = 113306,
		cooldown = 180,
		tags = {"defense"},
	},
	
	[113075] = { -- Barkskin
		class = "PALADIN",
		detect = "cast",
		effect = 113075,
		cooldown = 60,
		tags = {"defense"},
	},
	
	[113269] = { -- Rebirth
		class = "PALADIN",
		detect = "cast",
		cooldown = 600,
		tags = {"resurrect"},
	},

	[113277] = { -- Tranquility
		class = "PRIEST",
		detect = "cast",
		effect = 113277,
		cooldown = 480,
		tags = {"defense"},
	},

	[113613] = { -- Growl
		class = "ROGUE",
		detect = "cast",
		effect = 113613,
		cooldown = 180,
		tags = {"important", "defense"},
	},

	[113286] = { -- Solar Beam
		class = "SHAMAN",
		detect = "cast",
		cooldown = 60,
		tags = {"disable"},
		-- TODO: start 4 sec timer
	},
	
	[122294] = { -- Stampeding Shout
		class = "WARRIOR",
		detect = "cast",
		effect = 122294,
		cooldown = 300,
		tags = {"utility"},
	},

	[122286] = { -- Savage Defense
		class = "WARRIOR",
		detect = "cast",
		effect = 122286,
		cooldown = 60,
		tags = {"defense"},
	},
} )