PABR_Insert("DEATHKNIGHT", {
	[108201] = { -- Desecrated Ground
		detect = "cast",
		cooldown = 120,
		tags = {"important", "defense"},
	},
	
	[108199] = { -- Gorefiend's Grasp
		detect = "cast",
		cooldown = 60,
		tags = {"utility"},
	},
	
	[108200] = { -- Remorseless Winter
		detect = "cast",
		effect = 108200,
		cooldown = 60,
		tags = {"important", "stun"},
	},
	
	[48743] = { -- Death Pact
		detect = "cast",
		cooldown = 120,
		tags = {"important", "defense"},
	},
	
	[108194] = { -- Asphyxiate
		detect = "cast",
		effect = 108194,
		cooldown = 30,
		tags = {"important", "stun"},
	},

	[96268] = { -- Death's Advance
		detect = "cast",
		effect = 96268,
		cooldown = 30,
		tags = {"utility"},
	},

	[51052] = { -- Anti-Magic Zone
		detect = "cast",
		cooldown = 120,
		tags = {"defense"},
		-- TODO: 10 sec timer
	},
	
	[49039] = { -- Lichborne
		detect = "cast",
		effect = 49039,
		cooldown = 120,
		tags = {"utility"},
	},
	
	[114556] = { -- Purgatory		TODO: get debuff id
		detect = "effectup",
		effect = 0, -- TODO: review if this is necessary given "effectup" trigger
		cooldown = 180,
		tags = {"important", "defense"},
	},

	[123693] = { -- Plague Leech
		detect = "cast",
		cooldown = 25,
		tags = {"attack"},
	},

	[115989] = { -- Unholy Blight
		detect = "cast",
		effect = 115989,
		cooldown = 90,
		tags = {"attack"},
	},
	
	[49222] = { -- Bone Shield
		detect = "cast",
		--effect = 49222,
		cooldown = 60,
		tags = {"defense"},
	},
	
	[55233] = { -- Vampiric Blood
		detect = "cast",
		effect = 55233,
		cooldown = 60,
		tags = {"defense"},
	},

	[49028] = { -- Dancing Rune Weapon
		detect = "cast",
		cooldown = 90,
		tags = {"attack"},
		-- TODO: timer 15 sec
	},

	[49206] = { -- Summon Gargoyle
		detect = "cast",
		effect = 49206,
		cooldown = 180,
		tags = {"important", "attack"},
	},

	[81164] = { -- Will of the Necropolis		TODO: get debuff id
		detect = "effectup",
		effect = 0,				-- TODO
		reset = {48982},
		cooldown = 45,
		tags = {"defense"},
	},

	[51271] = { -- Pillar of Frost
		detect = "cast",
		effect = 51271,
		cooldown = 60,
		tags = {"important", "attack"},
	},

	[49016] = { -- Unholy Frenzy
		detect = "cast",
		effect = 49016,
		cooldown = 180,
		tags = {"important", "attack"},
	},

	[48982] = { -- Rune Tap
		detect = "cast",
		cooldown = 30,
		tags = {"utility"},
	},

	[77606] = { -- Dark Simulacrum
		detect = "cast",
		effect = 77606,
		cooldown = function(self) if self:HasGlyph(63331) then return 30 else return 60 end end,
		tags = {"important", "utility"},
	},

	[77575] = { -- Outbreak
		detect = "cast",
		cooldown = function(self) if self:HasGlyph(59332) then return 0 else return 60 end end,
		tags = {"attack"},
	},

	[42650] = { -- Army of the Dead
		detect = "cast",
		effect = 42650,
		cooldown = 600,
		tags = {"important", "attack"},
	},

	[47568] = { -- Empower Rune Weapon
		detect = "cast",
		cooldown = 300,
		tags = {"important", "attack"},
	},

	[61999] = { -- Raise Ally
		detect = "cast",
		cooldown = 600,
		tags = {"resurrect"},
	},

	[48707] = { -- Anti-Magic Shell
		detect = "cast",
		effect = 48707,
		cooldown = 45,
		tags = {"important", "defense"},
	},

	[48792] = { -- Icebound Fortitude
		detect = "cast",
		effect = 48792,
		cooldown = function(self) if self:HasGlyph(58673) then return 90 else return 180 end end,
		tags = {"important", "defense"},
	},

	[43265] = { -- Death and Decay
		detect = "cast",
		cooldown = 30,
		tags = {"attack"},
	},

	[47476] = { -- Strangulate
		detect = "cast",
		effect = 47476,
		cooldown = 60,
		tags = {"important", "disable"},
	},

	[47528] = { -- Mind Freeze
		detect = "cast",
		cooldown = function(self) if self:HasGlyph(58686) then return 13 else return 15 end end,
		interrupt = 4,
		tags = {"important", "interrupt"},
	},

	[46584] = { -- Raise Dead
		detect = "cast",
		effect = 46584,
		cooldown = 120,
		tags = {"important", "attack"},
	},

	[49576] = { -- Death Grip
		detect = "cast",
		cooldown = 25,
		tags = {"important", "utility"},
		-- TODO: glyph to reset CD if target is immune
		-- TODO: glyph to reset CD if player / non-trivial creature killing blow (59327)
	},
} )