PABR_Insert("MAGE", {
	[1463] = { -- Incanter's Ward
		detect = "cast",
		effect = 1463,
		cooldown = 25,
		tags = {"attack"},
	},
	
	[112948] = { -- Frost Bomb
		detect = "cast",
		effect = 112948,
		cooldown = 10,
		tags = {"attack"},
	},

	[86949] = { -- Cauterize			TODO: get proper spellId
		detect = "cast",
		effect = 0,					-- TODO
		cooldown = 120,
		tags = {"important", "defense"},
	},

	[11958] = { -- Cold Snap
		detect = "cast",
		reset = {122, 45438}, -- also Cone of Cold
		cooldown = 180,
		tags = {"important", "utility"},
	},

	[110959] = { -- Greater Invisibility
		detect = "cast",
		effect = 110960,
		cooldown = 90,
		tags = {"important", "utility"},
	},

	[102051] = { -- Frostjaw
		detect = "cast",
		effect = 102051,
		cooldown = 20,
		tags = {"disable"},
	},

	[11426] = { -- Ice Barrier
		detect = "cast",
		effect = 11426,
		cooldown = 25,
		tags = {"defense"},
	},

	[111264] = { -- Ice Ward
		detect = "cast",
		effect = 111264,
		cooldown = 20,
		tags = {"defense"},
	},

	[113724] = { -- Ring of Frost
		detect = "cast",
		effect = 82691,
		cooldown = 45,
		tags = {"control"},
	},

	[108839] = { -- Ice Floes
		detect = "cast",
		effect = 108839,
		cooldown = 45,
		tags = {"utility"},
	},

	[115610] = { -- Temporal Shield
		detect = "cast",
		effect = 115610,
		cooldown = 25,
		tags = {"defense"},
	},

	[108843] = { -- Blazing Speed
		detect = "cast",
		effect = 108843,
		cooldown = 25,
		tags = {"utility"},
	},

	[12043] = { -- Presence of Mind
		detect = "effectdown",
		effect = 12043,
		cooldown = 90,
		tags = {"important", "attack"},
	},

	[11129] = { -- Combustion
		detect = "cast",
		cooldown = function(self) if self:HasGlyph(56368) then return 90 else return 45 end end,
		tags = {"attack"},
	},
	
	[31661] = { -- Dragon's Breath
		detect = "cast",
		effect = 31661,
		cooldown = 20,
		tags = {"control"},
	},
	
	[12042] = { -- Arcane Power
		detect = "cast",
		effect = 12042,
		cooldown = function(self) if self:HasGlyph(62210) then return 180 else return 90 end end,
		tags = {"important", "attack"},
	},
	
	[84714] = { -- Frozen Orb
		detect = "cast",
		cooldown = 60,
		tags = {"attack"},
	},

	[12472] = { -- Icy Veins
		detect = "cast",
		effect = 12472,
		cooldown = 180,
		tags = {"important", "attack"},
	},

	[31687] = { -- Summon Water Elemental
		detect = "cast",
		cooldown = 60,
		tags = {"attack"},
	},

	[108978] = { -- Alter Time
		detect = "cast",
		effect = 110909,
		cooldown = 180,
		tags = {"important", "defense"},
	},

	[80353] = { -- Time Warp
		detect = "cast",
		effect = 80353,
		cooldown = 300,
		tags = {"important", "attack"},
	},

	[44572] = { -- Deep Freeze
		detect = "cast",
		effect = 44572,
		cooldown = 30,
		tags = {"important", "stun"},
	},

	[66] = { -- Invisibility
		detect = "cast",
		effect = 66,
		cooldown = 300,
		tags = {"important", "utility"},
	},

	[55342] = { -- Mirror Image
		detect = "cast",
		effect = 55342,
		cooldown = 180,
		tags = {"attack"},
	},

	[12051] = { -- Evocation
		detect = "cast",
		effect = 12051,
		cooldown = function(self) if self:HasTalent(16) then return 0 else return 120 end end,
		tags = {"important", "defense"},
	},

	[45438] = { -- Ice Block
		detect = "cast",
		effect = 45438,
		cooldown = 300,
		tags = {"important", "defense"},
	},
	
	[2139] = { -- Counterspell
		detect = "cast",
		effect = 55021,
		cooldown = function(self) if self:HasGlyph(115703) then return 28 else return 24 end end,
		interrupt = 6,
		tags = {"important", "interrupt", "disable"},
		-- TODO: 2p PvP Bonus (-4 sec CD on interrupt)
	},
	
	[1953] = { -- Blink
		detect = "cast",
		cooldown = 15,
		tags = {"important", "utility"},
	},

	[122] = { -- Frost Nova
		detect = "cast",
		effect = 122,
		cooldown = function(self) if self:HasGlyph(56376) then return 20 else return 25 end end,
		tags = {"important", "control"},
	},
} )