PABR_Insert("MONK", {
	[123904] = { -- Invoke Xuen, the White Tiger
		detect = "cast",
		cooldown = 180,
		tags = {"important", "attack"},
	},

	[122278] = { -- Dampen Harm
		detect = "cast",
		effect = 122278,
		cooldown = 90,
		tags = {"important", "defense"},
	},

	[122783] = { -- Diffuse Magic
		detect = "cast",
		effect = 122783,
		cooldown = 90,
		tags = {"important", "defense"},
	},

	[119392] = { -- Charging Ox Wave
		detect = "cast",
		cooldown = 30,
		tags = {"stun"},
	},

	[119381] = { -- Leg Sweep
		detect = "cast",
		effect = 119381,
		cooldown = 45,
		tags = {"important", "stun"},
	},

	[116844] = { -- Ring of Peace
		detect = "cast",
		effect = 116844,
		cooldown = 45,
		tags = {"important", "disable"},
	},

	[116841] = { -- Tiger's Lust
		detect = "cast",
		effect = 116841,
		cooldown = 30,
		tags = {"utility"},
	},

	[121827] = { -- Roll
		detect = "cast",
		charges = function(self) if self:HasTalent(1) then return 3 else return 2 end end,
		cooldown = function(self) if self:HasTalent(1) then return 15 else return 20 end end,
		tags = {"utility"},
	},
	[121828] = { redirect = 121827 }, -- Chi Torpedo

	[115310] = { -- Revival
		detect = "cast",
		cooldown = 180,
		tags = {"important", "defense"},
	},

	[116680] = { -- Thunder Focus Tea
		detect = "effectdown",		
		effect = 116680,
		cooldown = 45,
		tags = {"defense"},
	},

	[116849] = { -- Life Cocoon
		detect = "cast",
		effect = 116849,
		cooldown = 120,
		tags = {"important", "defense"},
	},

	[115213] = { -- Avert Harm
		detect = "cast",
		effect = 115213,
		cooldown = 180,
		tags = {"defense"},
	},

	[122465] = { -- Dematerialize
		detect = "effectup",
		effect = 122465, -- TODO: check
		cooldown = 10,
		tags = {"defense"},
	},

	[115288] = { -- Energizing Brew
		detect = "cast",
		effect = 115288,
		cooldown = 60,
		tags = {"attack"},
	},

	[122470] = { -- Touch of Karma
		detect = "cast",
		effect = 122470,
		cooldown = 90,
		tags = {"important", "defense"},
	},
	
	[122057] = { -- Clash
		detect = "cast",
		effect = 0,			-- TODO
		cooldown = 35,
		tags = {"stun"},
	},

	[101545] = { -- Flying Serpent Kick
		detect = "cast",
		cooldown = 25,
		tags = {"utility"},
	},

	[113656] = { -- Fists of Fury
		detect = "cast",
		cooldown = 25,
		tags = {"attack"},
	},

	[119996] = { -- Transcendence: Transfer
		detect = "cast",
		cooldown = 25,
		tags = {"utility"},
	},

	[101643] = { -- Transcendence
		detect = "cast",
		cooldown = 45,
		tags = {"utility"},
	},

	[115176] = { -- Zen Meditation
		detect = "cast",
		effect = 115176,
		cooldown = 180,
		tags = {"defense"},
	},

	[117368] = { -- Grapple Weapon
		detect = "cast",
		effect = 117368,
		cooldown = 60,
		tags = {"disable"},
	},

	[115078] = { -- Paralysis
		detect = "cast",
		effect = 115078,
		cooldown = 15,
		tags = {"control"},
	},
	
	[116705] = { -- Spear Hand Strike
		detect = "cast",
		effect = 116709,
		cooldown = 15,
		interrupt = 4,
		tags = {"important", "disable", "interrupt"},
	},

	[137562] = { -- Nimble Brew
		detect = "cast",
		effect = 137562,
		cooldown = 120,
		tags = {"important", "defense"},
	},

	[115203] = { -- Fortifying Brew
		detect = "cast",
		effect = {120954, 126456},
		cooldown = 180,
		tags = {"important", "defense"},
	},

	[115080] = { -- Touch of Death
		detect = "cast",
		cooldown = function(self) if self:HasGlyph(123391) then return 210 else return 90 end end,
		tags = {"attack"},
	},
	
	[115072] = { -- Expel Harm
		detect = "cast",
		cooldown = 15,
		tags = {"defense"},
	},
	
	[115313] = { -- Summon Jade Serpent Statue
		detect = "cast",
		cooldown = 30,
		tags = {"utility"},
	},
	
	[115315] = { -- Summon Black Ox Statue
		detect = "cast",
		cooldown = 30,
		tags = {"utility"},
	},
} )