PABR_Insert("PRIEST", {
	[121135] = { -- Cascade
		detect = "cast",
		cooldown = 25,
		tags = {"attack"},
	},
	-- TODO: shadow version?
	
	[120517] = { -- Halo
		detect = "cast",
		cooldown = 40,
		tags = {"attack"},
	},
	-- TODO: shadow version?
	
	[110744] = { -- Divine Star
		detect = "cast",
		cooldown = 15,
		tags = {"attack"},
	},
	-- TODO: shadow version?
	
	[10060] = { -- Power Infusion
		detect = "cast",
		effect = 10060,
		cooldown = 120,
		tags = {"important", "attack"},
	},
	
	[108945] = { -- Angelic Bulwark				TODO: get proper spellId
		detect = "cast",
		effect = 0,								-- TODO
		cooldown = 90,
		tags = {"important", "defense"},
	},
	
	[19236] = { -- Desperate Prayer
		detect = "cast",
		cooldown = 120,
		tags = {"important", "defense"},
	},
	
	[112833] = { -- Spectral Guise
		detect = "cast",
		effect = 112833,
		cooldown = 30,
		tags = {"important", "utility"},
	},
	
	[123040] = { -- Mindbender
		detect = "cast",
		cooldown = 60,
		tags = {"important", "attack"},
		-- TODO: 15 sec timer on summoned mob
	},
	
	[121536] = { -- Angelic Feather
		detect = "cast",
		effect = 0,				-- TODO
		charges = 3,			-- TODO: check
		cooldown = 10,			-- TODO: check
		tags = {"utility"},
	},

	[108921] = { -- Psyfiend
		detect = "cast",
		cooldown = 45,
		tags = {"important", "control"},
		-- TODO: 10 sec timer on summoned mob
	},
	
	[108920] = { -- Void Tendrils
		detect = "cast",
		cooldown = 30,
		tags = {"important", "control"},
	},
	
	[142723] = { -- Void Shift (Shadow)
		detect = "cast",
		cooldown = 600,
		tags = {"important", "defense"},
	},
	
	[108968] = { -- Void Shift (Discipline, Holy)
		detect = "cast",
		cooldown = 300,
		tags = {"important", "defense"},
	},

	[64843] = { -- Divine Hymn
		detect = "cast",
		effect = 64843,
		cooldown = 180,
		tags = {"important", "defense"},
	},
	
	[15286] = { -- Vampiric Embrace
		detect = "cast",
		effect = 15286,
		cooldown = 180,
		tags = {"important", "defense"},
	},
	
	[64044] = { -- Psychic Horror
		detect = "cast",
		effect = 64044,
		cooldown = function(self) if self:HasGlyph(55688) then return 35 else return 45 end end,
		tags = {"important", "control"},
	},
	
	[47788] = { -- Guardian Spirit
		detect = "cast",
		effect = 47788,
		cooldown = 180,
		tags = {"important", "defense"},
	},
	
	[62618] = { -- Power Word: Barrier
		detect = "cast",
		cooldown = 180,
		tags = {"important", "defense"},
		-- TODO: trigger 10 sec timer
	},
	
	[47585] = { -- Dispersion
		detect = "cast",
		effect = 47585,
		cooldown = function(self) if self:HasGlyph(63229) then return 105 else return 120 end end,
		tags = {"important", "defense"},
	},
	
	[33206] = { -- Pain Suppression
		detect = "cast",
		effect = 33206,
		cooldown = 180,
		tags = {"important", "defense"},
	},
	
	[15487] = { -- Silence
		detect = "cast",
		effect = 15487,
		cooldown = 45,
		tags = {"important", "disable"},
	},
	
	[81700] = { -- Evangelism
		detect = "cast",
		effect = 81700,
		cooldown = 30,
		tags = {"defense"},
	},
	
	[89485] = { -- Inner Focus
		detect = "cast",
		effect = 0,				-- TODO: silence immunity effect
		cooldown = 45,
		tags = {"important", "defense"},
	},
	
	[724] = { -- Lightwell
		detect = "cast",
		cooldown = 180,
		tags = {"defense"},
	},
	
	[109964] = { -- Spirit Shell
		detect = "cast",
		effect = 109964,
		cooldown = 60,
		tags = {"defense"},
	},
	
	[88625] = { -- Holy Word: Chastise
		detect = "cast",
		effect = 88625,
		cooldown = 30,
		tags = {"control"},
	},
	
	[73325] = { -- Leap of Faith
		detect = "cast",
		cooldown = 90,
		tags = {"important", "utility"},
	},
	
	[32375] = { -- Mass Dispel
		detect = "cast",
		cooldown = 15,
		tags = {"important", "dispel"},
	},
	
	[64901] = { -- Hymn of Hope
		detect = "cast",
		effect = 64901,
		cooldown = 360,
		tags = {"important", "utility"},
	},
	
	[34433] = { -- Shadowfiend
		detect = "cast",
		cooldown = 180,
		tags = {"important", "attack"},
		-- TODO: 12 sec timer on summoned mob
	},
	
	[586] = { -- Fade
		detect = "cast",
		effect = 586,
		cooldown = 30,
		tags = {"utility"},
	},
	
	[8122] = { -- Psychic Scream
		detect = "cast",
		effect = 8122,
		cooldown = 30,
		tags = {"important", "control"},
	},
	
	[6346] = { -- Fear Ward
		detect = "cast",
		effect = 6346,
		cooldown = function(self) if self:HasGlyph(55678) then return 120 else return 180 end end,
		tags = {"utility"},
	},

	-- TODO: disc spec: When you heal with Greater Heal, the cooldown of your Inner Focus is reduced by 5 sec.
} )